XMLDTDValidatorFilter (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Interface XMLDTDValidatorFilter

All Superinterfaces:
  org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.parser.XMLDocumentSource

All Known Implementing Classes:
  XML11DTDValidator, XML11NSDTDValidator, XMLDTDValidator, XMLNSDTDValidator

    public interface XMLDTDValidatorFilter

extends org.apache.xerces.xni.parser.XMLDocumentFilter

Defines a DTD Validator filter to allow components to query the DTD validator.

Version:
  $Id: XMLDTDValidatorFilter.java 446755 2006-09-15 21:56:27Z mrglavas $
Author:
  Elena Litani, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`boolean` | `hasGrammar()` Returns true if the validator has a DTD grammar
`boolean` | `validate()` Return true if validator must validate the document

Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Method Detail

### hasGrammar

    boolean hasGrammar()

  Returns true if the validator has a DTD grammar

  Returns:
    true if the validator has a DTD grammar

### validate

    boolean validate()

  Return true if validator must validate the document

  Returns:
    true if validator must validate the document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.